<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// build template SQL
	$queryTpl = 'UPDATE ' . TABLE_PREFIX . 'mod_backend_comment'
				. ' SET '
				. '  `modified_by`		= ' . $admin->get_user_id()
				. ', `version_number`	= `version_number` + 1'
				;

// loop over input array and update position
	$position = 0;
	$updates = 0;
	foreach ( $updateRecordsArray as $row_id ):
		// increase position counter
		$position ++;

		// complete query
		$query = $queryTpl
				. ', `position`			= ' . $position
				. ' WHERE `' . $row_key . '` = '. $row_id
				;

		// do update
		comment_execute_query( __FUNCTION__, $query, 'try_catch' );

		// count number of updates
		$query = 'SELECT ROW_COUNT();';
		$updates += comment_execute_query( __FUNCTION__, $query, 'get_one' );
	endforeach;

// have all rows been updated ?
	if ( $position == $updates ):
		// set status
		$status = TRUE;
		$messages['INFO'][] = $MOD_BACKEND_COMMENT[$type]['INFO']['updates'] . $updates;
	else:
		$status = FALSE;
		$messages['ERROR'][] = $MOD_BACKEND_COMMENT[$type]['ERROR']['updates'] . ' [ ' . $updates . ' / ' .  $position . ' ]';
	endif;

?>
