<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// load filemanager
	if ( count( get_included_files() ) < 2 ) die();

	global $lepton_filemanager;
	if ( is_object($lepton_filemanager) == FALSE ):
		require_once( '../../framework/class.lepton.filemanager.php' );
	endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/backend_comment/README.de.php';
$files_to_register[] = '/modules/backend_comment/README.en.php';
$files_to_register[] = '/modules/backend_comment/_setup.php';
$files_to_register[] = '/modules/backend_comment/ajax.delete_row.php';
$files_to_register[] = '/modules/backend_comment/ajax.select_details.php';
$files_to_register[] = '/modules/backend_comment/ajax.sort_rows.php';
$files_to_register[] = '/modules/backend_comment/backend_theme/backend/backend_comment/languages/DE.modify.php';
$files_to_register[] = '/modules/backend_comment/backend_theme/backend/backend_comment/languages/EN.modify.php';
$files_to_register[] = '/modules/backend_comment/backend_theme/backend/backend_comment/lib/lib.backend.config.php';
$files_to_register[] = '/modules/backend_comment/css/backend.css';
$files_to_register[] = '/modules/backend_comment/dialog.show_info.php';
$files_to_register[] = '/modules/backend_comment/headers.inc.backend.php';
$files_to_register[] = '/modules/backend_comment/headers.inc.modify.php';
$files_to_register[] = '/modules/backend_comment/headers.inc.php';
$files_to_register[] = '/modules/backend_comment/info.php';
$files_to_register[] = '/modules/backend_comment/install_dependency.php';
$files_to_register[] = '/modules/backend_comment/js/ajax.delete_row.js';
$files_to_register[] = '/modules/backend_comment/js/ajax.select_details.js';
$files_to_register[] = '/modules/backend_comment/js/ajax.sort_rows.js';
$files_to_register[] = '/modules/backend_comment/js/dialog.js';
$files_to_register[] = '/modules/backend_comment/js/modify.js';
$files_to_register[] = '/modules/backend_comment/js/textarea_autosize/autosize.js';
$files_to_register[] = '/modules/backend_comment/js/textarea_autosize/autosize.min.js';
$files_to_register[] = '/modules/backend_comment/js/textarea_autosize/read.me';
$files_to_register[] = '/modules/backend_comment/js/textarea_autosize.js';
$files_to_register[] = '/modules/backend_comment/languages/DE.ajax.delete_row.php';
$files_to_register[] = '/modules/backend_comment/languages/DE.ajax.select_details.php';
$files_to_register[] = '/modules/backend_comment/languages/DE.ajax.sort_rows.php';
$files_to_register[] = '/modules/backend_comment/languages/DE.dialog.show_info.php';
$files_to_register[] = '/modules/backend_comment/languages/DE.modify.php';
$files_to_register[] = '/modules/backend_comment/languages/DE.php';
$files_to_register[] = '/modules/backend_comment/languages/EN.ajax.delete_row.php';
$files_to_register[] = '/modules/backend_comment/languages/EN.ajax.select_details.php';
$files_to_register[] = '/modules/backend_comment/languages/EN.ajax.sort_rows.php';
$files_to_register[] = '/modules/backend_comment/languages/EN.dialog.show_info.php';
$files_to_register[] = '/modules/backend_comment/languages/EN.modify.php';
$files_to_register[] = '/modules/backend_comment/languages/EN.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.execute_query.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.input_filter.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.load_language.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.select_details.build_file_list.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.select_details.build_folder_tree.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.select_details.build_page_tree.php';
$files_to_register[] = '/modules/backend_comment/lib/functions/function.select_details.build_section_list.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.backend.config.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.backend.functions.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.delete_row.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.select_details.file_list.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.select_details.folder_tree.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.select_details.page_tree.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.select_details.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.select_details.section_list.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.ajax.sort_rows.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.dialog.show_info.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.data.modify.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.frontend.functions.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.save.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.twig.ajax.delete_row.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.twig.ajax.sort_rows.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.twig.dialog.show_info.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.twig.formvalues.php';
$files_to_register[] = '/modules/backend_comment/lib/lib.twig.modify.php';
$files_to_register[] = '/modules/backend_comment/load_includes.php';
$files_to_register[] = '/modules/backend_comment/precheck.php';
$files_to_register[] = '/modules/backend_comment/register_initial.php';
$files_to_register[] = '/modules/backend_comment/register_language.php';
$files_to_register[] = '/modules/backend_comment/register_parser.php';
$files_to_register[] = '/modules/backend_comment/save.php';
$files_to_register[] = '/modules/backend_comment/search.php';
$files_to_register[] = '/modules/backend_comment/templates/backend/ajax.delete_row.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/ajax.select_details.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/ajax.sort_rows.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/dialog.show_info.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/modify.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/show.delete_row.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/show.help.lte';
$files_to_register[] = '/modules/backend_comment/templates/backend/show_info.lte';
$files_to_register[] = '/modules/backend_comment/templates/frontend/view.lte';

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
