<?php

/**  // € // to identify files as UTF8
 * define backend comments like todo etc
 *
 * @module          backend_comment
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.04.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/modules/backend_comment.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3059
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// check input
	$inputs = array();

// set $module as current module
	$comment_module = 'backend_comment';

// set processing initials
	unset( $twigTemplate );
	$comment_component = basename( __FILE__, '.php' );
	$comment_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// include the basic files at start
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $comment_modulePath . 'register_initial.php' );
	include( $comment_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $comment_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $comment_modulePath . 'lib/lib.config.php';
	$includes[]	= $comment_modulePath . 'lib/lib.frontend.config.php';
	$includes[]	= $comment_templatePath . 'lib/lib.frontend.config.php';
	$includes[]	= $comment_modulePath . 'lib/lib.frontend.config.' . $comment_component . '.php';
	$includes[]	= $comment_templatePath . 'lib/lib.frontend.config.' . $comment_component . '.php';
	// include basic functions
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $comment_modulePath . 'lib/lib.frontend.functions.php' );
	// do include
	include( $comment_modulePath . 'load_includes.php' );

// do input validation
	// $error = comment_inputcontrol( 'GET', $_GET, $inputs );
	// in view.php errors are ignored

	unset( $inputs );

// initialize data variable
	$data = array();

// prepare SQL
	// no data access needed

	// data manipulation
		// include data manipulation files
		$includes[]	= $comment_modulePath . 'lib/lib.data.php';
		$includes[]	= $comment_templatePath . 'lib/lib.data.php';
		$includes[]	= $comment_modulePath . 'lib/lib.data.' . $comment_component . '.php';
		$includes[]	= $comment_templatePath . 'lib/lib.data.' . $comment_component . '.php';
		include( $comment_modulePath . 'load_includes.php' );

?>
